// polinomios.cpp - Trabajo con polinomios
//
#include <iostream>                                                                    
#include "polinomio.h"
using namespace std;

CTermino IntroducirTermino(void);

int main() // función principal
{
  CPolinomio PolinomioR, PolinomioB, PolinomioA;
  CTermino tx;

  cout << "Términos del polinomio A\n"
       << "(para finalizar introduzca 0 para el\n"
       << "coeficiente y para el exponente):\n\n";
  tx = IntroducirTermino();
  while (tx.ObtenerCoeficiente() || tx.ObtenerExponente())
  {
    PolinomioA.AsignarTermino(tx);
    tx = IntroducirTermino();
  }

  cout << "Términos del polinomio B\n"
       << "(para finalizar introduzca 0 para el\n"
       << "coeficiente y para el exponente):\n\n";
  tx = IntroducirTermino();
  while (tx.ObtenerCoeficiente() || tx.ObtenerExponente())
  {
    PolinomioB.AsignarTermino(tx);
    tx = IntroducirTermino();
  }

  PolinomioR.Sumar(PolinomioA, PolinomioB);

  cout << "\nPolinomio A: "; PolinomioA.VisualizarPol();
  cout << "\nPolinomio B: "; PolinomioB.VisualizarPol();
  cout << "\nPolinomio R: "; PolinomioR.VisualizarPol();
  cout << endl;
}

CTermino IntroducirTermino()
{        
  float coef;
  int exp;                    
  cout << "Introduce coeficiente:    "; cin >> coef;
  cout << "Introduce exponente en X: "; cin >> exp;
  cout << endl;
  return CTermino(coef, exp);
}

